<?php
namespace Lpc\LpcSermons\Controller;

use TYPO3\CMS\Core\Messaging\AbstractMessage;
use TYPO3\CMS\Core\Utility\GeneralUtility;
use TYPO3\CMS\Extbase\Utility\LocalizationUtility;

class SermonsController extends \TYPO3\CMS\Extbase\Mvc\Controller\ActionController
{

	/**
	 * @var \Lpc\LpcSermons\Service\TypoScriptService
	 * @inject
	 */
	protected $typoScriptService;

	/**
	 * sermonRepository
	 *
	 * @var \Lpc\LpcSermons\Domain\Repository\SermonRepository
	 * @inject
	 */
	protected $sermonRepository;

	/**
	 * persistenceManager
	 *
	 * @var \TYPO3\CMS\Extbase\Persistence\Generic\PersistenceManager
	 * @inject
	 */
	protected $persistenceManager;

	/**
	 * @var \TYPO3\CMS\Extbase\Configuration\ConfigurationManagerInterface
	 * @inject
	 */
	protected $configurationManager;


	/**
	 * action
	 *
	 * @return void
	 */
	public function Action()
	{

	}

	/**
	 *
	 */
	public function initializeAction() {
		parent::initializeAction();
		// merge typoscript with flexforms values
		$this->typoScriptService->merge($this->request->getControllerExtensionKey());

		// !!! DOESN'T WORK, don't know why (same like lpc_messageboard and lpc_donation and there it works) -> here configuration can not be set (setConfiguration())
		$configuration = $this->configurationManager->getConfiguration(\TYPO3\CMS\Extbase\Configuration\ConfigurationManagerInterface::CONFIGURATION_TYPE_FRAMEWORK);

		if (empty($configuration['persistence']['storagePid'])) {
			$configuration['persistence']['storagePid'] = $GLOBALS['TSFE']->id;
			$this->configurationManager->setConfiguration($configuration);
		}
	}

	/**
	 * list action
	 *
	 * @return void
	 */
	public function listAction()
	{
		/** @var \Lpc\LpcSermons\Domain\Model\Sermon[] $sermons */
		$sermons = $this->sermonRepository->loadForTable(0, $this->typoScriptService);

		// load all mp3info (build cache) -> not clean: load everytime all
		foreach ($sermons as $sermon) {
			$sermon->loadMp3Details();
			$this->sermonRepository->update($sermon);
		}
		// save possibly cache changes
		$this->persistenceManager->persistAll();

		// convert to array, for parsing in fluid
		$showColumns = explode(',', $this->typoScriptService->getSetting('table.showColumns'));

		// overwrite settinges, because this settings are merged with flex
		$this->view->assign('settings', $this->typoScriptService->getSettings());
		$this->view->assign('sermons', $sermons);
		$this->view->assign('showColumns', $showColumns);
	}

}

?>
