<?php
namespace Lpc\LpcSermons\Domain\Model;

/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2014 Michael Hadorn <michael.hadorn@laupercomputing.ch>, Lauper Computing
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Podcast
 */
class Podcast extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity {

	/**
	 * Name des XML's
	 *
	 * @var string
	 */
	protected $xmlFile = '';

	/**
	 * Titel
	 *
	 * @var string
	 */
	protected $title = '';

	/**
	 * Untertitel
	 *
	 * @var string
	 */
	protected $subtitle = '';

	/**
	 * Beschreibung
	 *
	 * @var string
	 */
	protected $description = '';

	/**
	 * Sprache
	 *
	 * @var string
	 */
	protected $language = '';

	/**
	 * Copyright
	 *
	 * @var string
	 */
	protected $copyright = '';

	/**
	 * Webmaster Name
	 *
	 * @var string
	 */
	protected $editorName = '';

	/**
	 * Webmaster E-Mail
	 *
	 * @var string
	 */
	protected $editorEmail = '';

	/**
	 * Autor
	 *
	 * @var string
	 */
	protected $author = '';

	/**
	 * Expliziter Inhalt (Ev. nicht für Kinder geeignet)
	 *
	 * @var string
	 */
	protected $explicit = '';

	/**
	 * Kategorie
	 *
	 * @var string
	 */
	protected $category = '';

	/**
	 * Bild
	 *
	 * @var \TYPO3\CMS\Extbase\Domain\Model\FileReference
	 */
	protected $image = NULL;

	/**
	 * excludeResources
	 *
	 * @var integer
	 */
	protected $excludeResources = '';

	/**
	 * temporary additional infos (won't be saved in db)
	 * @var string
	 */
	protected $additionalInfo = '';

	/**
	 * @var DateTime
	 */
	protected $crdate;

	/**
	 * @var string
	 */
	protected $tstamp = '';

	/**
	 * @var string
	 */
	protected $hidden = '';

	/**
	 * @var string
	 */
	protected $deleted = '';

	/**
	 * @var string
	 */
	protected $cruserId = '';

	/**
	 * Returns the xmlFile
	 *
	 * @return string $xmlFile
	 */
	public function getXmlFile() {
		return $this->xmlFile;
	}

	/**
	 * Sets the xmlFile
	 *
	 * @param string $xmlFile
	 * @return void
	 */
	public function setXmlFile($xmlFile) {
		$this->xmlFile = $xmlFile;
	}

	/**
	 * Returns the title
	 *
	 * @return string $title
	 */
	public function getTitle() {
		return $this->title;
	}

	/**
	 * Sets the title
	 *
	 * @param string $title
	 * @return void
	 */
	public function setTitle($title) {
		$this->title = $title;
	}

	/**
	 * Returns the subtitle
	 *
	 * @return string $subtitle
	 */
	public function getSubtitle() {
		return $this->subtitle;
	}

	/**
	 * Sets the subtitle
	 *
	 * @param string $subtitle
	 * @return void
	 */
	public function setSubtitle($subtitle) {
		$this->subtitle = $subtitle;
	}

	/**
	 * Returns the description
	 *
	 * @return string $description
	 */
	public function getDescription() {
		return $this->description;
	}

	/**
	 * Sets the description
	 *
	 * @param string $description
	 * @return void
	 */
	public function setDescription($description) {
		$this->description = $description;
	}

	/**
	 * Returns the language
	 *
	 * @return string $language
	 */
	public function getLanguage() {
		return $this->language;
	}

	/**
	 * Sets the language
	 *
	 * @param string $language
	 * @return void
	 */
	public function setLanguage($language) {
		$this->language = $language;
	}

	/**
	 * Returns the copyright
	 *
	 * @return string $copyright
	 */
	public function getCopyright() {
		return $this->copyright;
	}

	/**
	 * Sets the copyright
	 *
	 * @param string $copyright
	 * @return void
	 */
	public function setCopyright($copyright) {
		$this->copyright = $copyright;
	}

	/**
	 * Returns the editorName
	 *
	 * @return string $editorName
	 */
	public function getEditorName() {
		return $this->editorName;
	}

	/**
	 * Sets the editorName
	 *
	 * @param string $editorName
	 * @return void
	 */
	public function setEditorName($editorName) {
		$this->editorName = $editorName;
	}

	/**
	 * Returns the editorEmail
	 *
	 * @return string $editorEmail
	 */
	public function getEditorEmail() {
		return $this->editorEmail;
	}

	/**
	 * Sets the editorEmail
	 *
	 * @param string $editorEmail
	 * @return void
	 */
	public function setEditorEmail($editorEmail) {
		$this->editorEmail = $editorEmail;
	}

	/**
	 * Returns the author
	 *
	 * @return string $author
	 */
	public function getAuthor() {
		return $this->author;
	}

	/**
	 * Sets the author
	 *
	 * @param string $author
	 * @return void
	 */
	public function setAuthor($author) {
		$this->author = $author;
	}

	/**
	 * Returns the explicit
	 *
	 * @return string $explicit
	 */
	public function getExplicit() {
		return $this->explicit;
	}

	/**
	 * Sets the explicit
	 *
	 * @param string $explicit
	 * @return void
	 */
	public function setExplicit($explicit) {
		$this->explicit = $explicit;
	}

	/**
	 * Returns the category
	 *
	 * @return string $category
	 */
	public function getCategory() {
		return $this->category;
	}

	/**
	 * Sets the category
	 *
	 * @param string $category
	 * @return void
	 */
	public function setCategory($category) {
		$this->category = $category;
	}

	/**
	 * Returns the image
	 *
	 * @return \TYPO3\CMS\Extbase\Domain\Model\FileReference $image
	 */
	public function getImage() {
		$image = $this->loadFileProperties($this->image);
		return $image;
	}

	/**
	 * Sets the image
	 *
	 * @param \TYPO3\CMS\Extbase\Domain\Model\FileReference $image
	 * @return void
	 */
	public function setImage(\TYPO3\CMS\Extbase\Domain\Model\FileReference $image) {
		$this->image = $image;
	}

	/**
	 * Returns the excludeResources
	 *
	 * @return integer excludeResources
	 */
	public function getExcludeResources() {
		return $this->excludeResources;
	}

	/**
	 * Sets the excludeResources
	 *
	 * @param string $excludeResources
	 * @return integer excludeResources
	 */
	public function setExcludeResources($excludeResources) {
		$this->excludeResources = $excludeResources;
	}

	/**
	 * @param string|\DateTime $crdate
	 * @return void
	 */
	public function setCrdate($crdate) {
		$crdate = \Lpc\LpcSermons\Utility\CastUtility::getDateObject($crdate);

		$this->crdate = $crdate;
	}

	/**
	 * @return DateTime
	 */
	public function getCrdate() {
		return $this->crdate;
	}

	/**
	 * @return string
	 */
	public function getAdditionalInfo() {
		return $this->additionalInfo;
	}

	/**
	 * @param string $additionalInfo
	 */
	public function setAdditionalInfo($additionalInfo) {
		$this->additionalInfo = $additionalInfo;
	}

	/**
	 * @return string
	 */
	public function getTstamp() {
		return $this->tstamp;
	}

	/**
	 * @param string $tstamp
	 */
	public function setTstamp($tstamp) {
		$this->tstamp = $tstamp;
	}

	/**
	 * @return string
	 */
	public function getHidden() {
		return $this->hidden;
	}

	/**
	 * @param string $hidden
	 */
	public function setHidden($hidden) {
		$this->hidden = $hidden;
	}

	/**
	 * @return string
	 */
	public function getDeleted() {
		return $this->deleted;
	}

	/**
	 * @param string $deleted
	 */
	public function setDeleted($deleted) {
		$this->deleted = $deleted;
	}

	/**
	 * @return string
	 */
	public function getCruserId() {
		return $this->cruserId;
	}

	/**
	 * @param string $cruserId
	 */
	public function setCruserId($cruserId) {
		$this->cruserId = $cruserId;
	}


	/**
	 * loads the original file information
	 * @param \TYPO3\CMS\Extbase\Domain\Model\FileReference $fileRef
	 * @return \TYPO3\CMS\Extbase\Domain\Model\FileReference
	 */
	public function loadFileProperties($fileRef)
	{
		if (is_object($fileRef)) {
			if (!isset($this->filePropsAreLoaded[$fileRef->getUid()])) {
				$this->filePropsAreLoaded[$fileRef->getUid()] = true;
				if (!is_object($fileRef)) {
					return null;
				} elseif ($fileRef instanceof \TYPO3\CMS\Extbase\Persistence\Generic\LazyLoadingProxy) {
					$fileRef->_loadRealInstance();
				}
			}
			return $fileRef->getOriginalResource();
		}
	}

}