<?php

namespace Lpc\LpcSermons\Utility;

/**
 * Class CastUtility
 * @author Michael Hadorn <michael.hadorn@laupercomputing.ch>
 * @package TYPO3
 * @subpackage
 * @package Lpc\LpcSermons\Utility
 */
class CastUtility {

	/**
	 * Convert a int (timestamp), string (strtotime) to a dateobject
	 * @param int|string|dateobject $date
	 * @return \DateTime|null
	 */
	public static function getDateObject($date) {
		// not a datetime object
		if (!is_object($date) || !(get_class($date) == 'DateTime')) {
			// is timestamp, cast
			if (intval($date) > 0 && $date == intval($date)) {
				$timestamp = $date;
			} else if (is_string($date) && strlen($date) > 0 && $date !== '0000-00-00') {
				// if string cast to datetime object
				$timestamp = strtotime($date);
			}

			if ($timestamp) {
				$date = new \DateTime();
				$date->setTimestamp($timestamp);
			}
		}

		if (!is_object($date) || !(get_class($date) == 'DateTime')) {
			// invalid date: set to null
			$date = null;
		}
		return $date;
	}

}
