<?php
namespace Lpc\LpcSermons\Utility\Hook;

use \TYPO3\CMS\Core\Utility\GeneralUtility;
use \TYPO3\CMS\Core\Utility\ExtensionManagementUtility;
use TYPO3\CMS\Extbase\Utility\LocalizationUtility;

/**
 * Class WizIcon
 * @author Michael Hadorn <michael.hadorn@laupercomputing.ch>
 * @package TYPO3
 * @subpackage
 * @package Lpc\LpcDonation\Utility\Hook
 */
class WizIcon {

	/**
	 * Processing the wizard items array
	 *
	 * @param array $wizardItems
	 * @return array
	 */
	public function proc($wizardItems = array()) {
		$wizardItems['plugins_tx_lpcsermons_pi1'] = array(
			'icon' => ExtensionManagementUtility::extRelPath('lpc_sermons') . 'Resources/Public/Icons/wizard.gif',
			'title' => LocalizationUtility::translate('tx_lpcsermons.wizicon.title', 'lpcSermons'),
			'description' => LocalizationUtility::translate('tx_lpcsermons.wizicon.description', 'lpcSermons'),
			'params' => '&defVals[tt_content][CType]=list&defVals[tt_content][list_type]=lpcsermons_sermons',
			'tt_content_defValues' => array(
				'CType' => 'list',
			),
		);

		return $wizardItems;
	}
}