<?php
namespace Lpc\LpcSermons\ViewHelpers;

/**
 * Class FileIconViewHelper
 * @package Lpc\LpcSermons\ViewHelpers
 * A view helper for showing filetype-image by file extension
 */
class FileIconViewHelper extends \TYPO3\CMS\Fluid\Core\ViewHelper\AbstractTagBasedViewHelper {
	protected $tagName = 'img';

	/**
	 * @var \TYPO3\CMS\Extbase\Configuration\ConfigurationManagerInterface
	 * @inject
	 */
	protected $configurationManager;

	public function initializeArguments() {
		$this->registerArgument('filePath', 'string', 'Gets the filetype by this Extension', true);
	}

	public function render() {
		$filePath = $this->arguments['filePath'];
		$settings = $this->configurationManager->getConfiguration('Settings');

		// get file extension
		$fileExtension = end(explode('.', $filePath));

		// set image path together
		$imgPath = $settings['fileicon']['path'].'/'.$fileExtension.'.'.$settings['fileicon']['extension'];

		if (!file_exists($_SERVER['DOCUMENT_ROOT'].$imgPath)) {
			$imgPath = $settings['fileicon']['path'].'/default.'.$settings['fileicon']['extension'];
		}

		// html tag
		$this->tag->addAttribute('src', $imgPath);

		return $this->tag->render();
	}
}