<?php
if (!defined ('TYPO3_MODE')) {
	die ('Access denied.');
}

$GLOBALS['TCA']['tx_lpcsermons_domain_model_podcast'] = array(
	'ctrl' => $GLOBALS['TCA']['tx_lpcsermons_domain_model_podcast']['ctrl'],
	'interface' => array(
		'showRecordFieldList' => 'l10n_parent, l10n_diffsource, hidden, xml_file, title, subtitle, description, language, copyright, editor_name, editor_email, author, explicit, category, image, exclude_resources',
	),
	'types' => array(
		'1' => array('showitem' => ';;;;1-1-1, l10n_parent, l10n_diffsource, hidden;;1, xml_file, title, subtitle, description, language, copyright, editor_name, editor_email, author, explicit, category, image, exclude_resources, '),
	),
	'palettes' => array(
		'1' => array('showitem' => ''),
	),
	'columns' => array(
	
		'sys_language_uid' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.language',
			'config' => array(
				'type' => 'select',
				'foreign_table' => 'sys_language',
				'foreign_table_where' => 'ORDER BY sys_language.title',
				'items' => array(
					array('LLL:EXT:lang/locallang_general.xlf:LGL.allLanguages', -1),
					array('LLL:EXT:lang/locallang_general.xlf:LGL.default_value', 0)
				),
			),
		),
		'l10n_parent' => array(
			'displayCond' => 'FIELD:sys_language_uid:>:0',
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.l18n_parent',
			'config' => array(
				'type' => 'select',
				'items' => array(
					array('', 0),
				),
				'foreign_table' => 'tx_lpcsermons_domain_model_podcast',
				'foreign_table_where' => 'AND tx_lpcsermons_domain_model_podcast.pid=###CURRENT_PID### AND tx_lpcsermons_domain_model_podcast.sys_language_uid IN (-1,0)',
			),
		),
		'l10n_diffsource' => array(
			'config' => array(
				'type' => 'passthrough',
			),
		),

		't3ver_label' => array(
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.versionLabel',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'max' => 255,
			)
		),
	
		'hidden' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.hidden',
			'config' => array(
				'type' => 'check',
			),
		),

		'xml_file' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lpc_sermons/Resources/Private/Language/locallang_db.xlf:tx_lpcsermons_domain_model_podcast.xml_file',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim,required'
			),
		),
		'title' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lpc_sermons/Resources/Private/Language/locallang_db.xlf:tx_lpcsermons_domain_model_podcast.title',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim,required'
			),
		),
		'subtitle' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lpc_sermons/Resources/Private/Language/locallang_db.xlf:tx_lpcsermons_domain_model_podcast.subtitle',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		),
		'description' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lpc_sermons/Resources/Private/Language/locallang_db.xlf:tx_lpcsermons_domain_model_podcast.description',
			'config' => array(
				'type' => 'text',
				'cols' => 40,
				'rows' => 15,
				'eval' => 'trim'
			),
			'defaultExtras' => 'richtext[]'
		),
		'language' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lpc_sermons/Resources/Private/Language/locallang_db.xlf:tx_lpcsermons_domain_model_podcast.language',
			'config' => array(
				'type' => 'input',
				'size' => '5',
				'max' => '5',
				'eval' => 'trim'
			),
		),
		'copyright' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lpc_sermons/Resources/Private/Language/locallang_db.xlf:tx_lpcsermons_domain_model_podcast.copyright',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		),
		'editor_name' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lpc_sermons/Resources/Private/Language/locallang_db.xlf:tx_lpcsermons_domain_model_podcast.editor_name',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		),
		'editor_email' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lpc_sermons/Resources/Private/Language/locallang_db.xlf:tx_lpcsermons_domain_model_podcast.editor_email',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		),
		'author' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lpc_sermons/Resources/Private/Language/locallang_db.xlf:tx_lpcsermons_domain_model_podcast.author',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		),
		'explicit' => Array (
			'exclude' => 1,
			'label' => 'LLL:EXT:lpc_sermons/Resources/Private/Language/locallang_db.xlf:tx_lpcsermons_domain_model_podcast.explicit',
			'config' => Array (
				'type' => 'select',
				'items' => Array (
					Array('', ''),
					Array('LLL:EXT:lpc_sermons/Resources/Private/Language/locallang_db.xlf:tx_lpcsermons_domain_model_podcast.explicit_yes', 'Yes'),
					Array('LLL:EXT:lpc_sermons/Resources/Private/Language/locallang_db.xlf:tx_lpcsermons_domain_model_podcast.explicit_no', 'No'),
					Array('LLL:EXT:lpc_sermons/Resources/Private/Language/locallang_db.xlf:tx_lpcsermons_domain_model_podcast.explicit_clean', 'Clean'),
				),
			),
		),
		'category' => Array (
			'exclude' => 1,
			'label' => 'LLL:EXT:lpc_sermons/Resources/Private/Language/locallang_db.xlf:tx_lpcsermons_domain_model_podcast.category',
			'config' => Array (
				'type' => 'select',
				'size' => 10,
				'maxitems' => 3,
				'items' => Array (
					Array("Arts","Arts"),
					Array("Arts > Design","Arts > Design"),
					Array("Arts > Fashion & Beauty","Arts > Fashion & Beauty"),
					Array("Arts > Food","Arts > Food"),
					Array("Arts > Literature","Arts > Literature"),
					Array("Arts > Performing Arts","Arts > Performing Arts"),
					Array("Arts > Visual Arts","Arts > Visual Arts"),
					Array("Business","Business"),
					Array("Business > Business News","Business > Business News"),
					Array("Business > Careers","Business > Careers"),
					Array("Business > Investing","Business > Investing"),
					Array("Business > Management & Marketing","Business > Management & Marketing"),
					Array("Business > Shopping","Business > Shopping"),
					Array("Comedy","Comedy"),
					Array("Education","Education"),
					Array("Education > Education Technology","Education > Education Technology"),
					Array("Education > Higher Education","Education > Higher Education"),
					Array("Education > K-12","Education > K-12"),
					Array("Education > Language Courses","Education > Language Courses"),
					Array("Education > Training","Education > Training"),
					Array("Games & Hobbies","Games & Hobbies"),
					Array("Education > Automotive","Education > Automotive"),
					Array("Education > Aviation","Education > Aviation"),
					Array("Education > Hobbies","Education > Hobbies"),
					Array("Education > Other Games","Education > Other Games"),
					Array("Education > Video Games","Education > Video Games"),
					Array("Government & Organizations","Government & Organizations"),
					Array("Government & Organizations > Local","Government & Organizations > Local"),
					Array("Government & Organizations > National","Government & Organizations > National"),
					Array("Government & Organizations > Non-Profit","Government & Organizations > Non-Profit"),
					Array("Government & Organizations > Regional","Government & Organizations > Regional"),
					Array("Health","Health"),
					Array("Health > Alternative Health","Health > Alternative Health"),
					Array("Health > Fitness & Nutrition","Health > Fitness & Nutrition"),
					Array("Health > Self-Help","Health > Self-Help"),
					Array("Health > Sexuality","Health > Sexuality"),
					Array("Kids & Family","Kids & Family"),
					Array("Music","Music"),
					Array("News & Politics","News & Politics"),
					Array("Religion & Spirituality","Religion & Spirituality"),
					Array("Religion & Spirituality > Buddhism","Religion & Spirituality > Buddhism"),
					Array("Religion & Spirituality > Christianity","Religion & Spirituality > Christianity"),
					Array("Religion & Spirituality > Hinduism","Religion & Spirituality > Hinduism"),
					Array("Religion & Spirituality > Islam","Religion & Spirituality > Islam"),
					Array("Religion & Spirituality > Judaism","Religion & Spirituality > Judaism"),
					Array("Religion & Spirituality > Other","Religion & Spirituality > Other"),
					Array("Religion & Spirituality > Spirituality","Religion & Spirituality > Spirituality"),
					Array("Science & Medicine","Science & Medicine"),
					Array("Science & Medicine > Medicine","Science & Medicine > Medicine"),
					Array("Science & Medicine > Natural Sciences","Science & Medicine > Natural Sciences"),
					Array("Science & Medicine > Social Sciences","Science & Medicine > Social Sciences"),
					Array("Society & Culture","Society & Culture"),
					Array("Society & Culture > History","Society & Culture > History"),
					Array("Society & Culture > Personal Journals","Society & Culture > Personal Journals"),
					Array("Society & Culture > Philosophy","Society & Culture > Philosophy"),
					Array("Society & Culture > Places & Travel","Society & Culture > Places & Travel"),
					Array("Sports & Recreation","Sports & Recreation"),
					Array("Sports & Recreation > Amateur","Sports & Recreation > Amateur"),
					Array("Sports & Recreation > College & High School","Sports & Recreation > College & High School"),
					Array("Sports & Recreation > Outdoor","Sports & Recreation > Outdoor"),
					Array("Sports & Recreation > Professional","Sports & Recreation > Professional"),
					Array("Technology","Technology"),
					Array("Technology > Gadgets","Technology > Gadgets"),
					Array("Technology > Tech News","Technology > Tech News"),
					Array("Technology > Podcasting","Technology > Podcasting"),
					Array("Technology > Software How-To","Technology > Software How-To"),
					Array("TV & Film","TV & Film"),
				),
			)
		),
		'image' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lpc_sermons/Resources/Private/Language/locallang_db.xlf:tx_lpcsermons_domain_model_podcast.image',
			'config' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::getFileFieldTCAConfig(
				'image',
				array('maxitems' => 1),
				$GLOBALS['TYPO3_CONF_VARS']['GFX']['imagefile_ext']
			),
		),
		'exclude_resources' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lpc_sermons/Resources/Private/Language/locallang_db.xlf:tx_lpcsermons_domain_model_podcast.exclude_resources',
			'config' => array(
				'type' => 'check',
				'size' => 4,
				'eval' => 'int'
			)
		),
		'crdate' => Array (
			'exclude' => 0,
			'label' => 'Creation date',
			'config' => Array (
				'type' => 'none',
				'format' => 'date',
				'eval' => 'date',
			)
		),
		
	),
);
