<?php

namespace Lpc\LpcSermons\Tests\Unit\Domain\Model;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2014 Michael Hadorn <michael.hadorn@laupercomputing.ch>, Lauper Computing
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Test case for class \Lpc\LpcSermons\Domain\Model\Podcast.
 *
 * @copyright Copyright belongs to the respective authors
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 * @author Michael Hadorn <michael.hadorn@laupercomputing.ch>
 */
class PodcastTest extends \TYPO3\CMS\Core\Tests\UnitTestCase {
	/**
	 * @var \Lpc\LpcSermons\Domain\Model\Podcast
	 */
	protected $subject = NULL;

	protected function setUp() {
		$this->subject = new \Lpc\LpcSermons\Domain\Model\Podcast();
	}

	protected function tearDown() {
		unset($this->subject);
	}

	/**
	 * @test
	 */
	public function getXmlFileReturnsInitialValueForString() {
		$this->assertSame(
			'',
			$this->subject->getXmlFile()
		);
	}

	/**
	 * @test
	 */
	public function setXmlFileForStringSetsXmlFile() {
		$this->subject->setXmlFile('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'xmlFile',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getTitleReturnsInitialValueForString() {
		$this->assertSame(
			'',
			$this->subject->getTitle()
		);
	}

	/**
	 * @test
	 */
	public function setTitleForStringSetsTitle() {
		$this->subject->setTitle('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'title',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getSubtitleReturnsInitialValueForString() {
		$this->assertSame(
			'',
			$this->subject->getSubtitle()
		);
	}

	/**
	 * @test
	 */
	public function setSubtitleForStringSetsSubtitle() {
		$this->subject->setSubtitle('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'subtitle',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getDescriptionReturnsInitialValueForString() {
		$this->assertSame(
			'',
			$this->subject->getDescription()
		);
	}

	/**
	 * @test
	 */
	public function setDescriptionForStringSetsDescription() {
		$this->subject->setDescription('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'description',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getLanguageReturnsInitialValueForString() {
		$this->assertSame(
			'',
			$this->subject->getLanguage()
		);
	}

	/**
	 * @test
	 */
	public function setLanguageForStringSetsLanguage() {
		$this->subject->setLanguage('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'language',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getCopyrightReturnsInitialValueForString() {
		$this->assertSame(
			'',
			$this->subject->getCopyright()
		);
	}

	/**
	 * @test
	 */
	public function setCopyrightForStringSetsCopyright() {
		$this->subject->setCopyright('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'copyright',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getEditorNameReturnsInitialValueForString() {
		$this->assertSame(
			'',
			$this->subject->getEditorName()
		);
	}

	/**
	 * @test
	 */
	public function setEditorNameForStringSetsEditorName() {
		$this->subject->setEditorName('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'editorName',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getEditorEmailReturnsInitialValueForString() {
		$this->assertSame(
			'',
			$this->subject->getEditorEmail()
		);
	}

	/**
	 * @test
	 */
	public function setEditorEmailForStringSetsEditorEmail() {
		$this->subject->setEditorEmail('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'editorEmail',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getAuthorReturnsInitialValueForString() {
		$this->assertSame(
			'',
			$this->subject->getAuthor()
		);
	}

	/**
	 * @test
	 */
	public function setAuthorForStringSetsAuthor() {
		$this->subject->setAuthor('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'author',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getExplicitReturnsInitialValueForString() {
		$this->assertSame(
			'',
			$this->subject->getExplicit()
		);
	}

	/**
	 * @test
	 */
	public function setExplicitForStringSetsExplicit() {
		$this->subject->setExplicit('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'explicit',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getCategoryReturnsInitialValueForString() {
		$this->assertSame(
			'',
			$this->subject->getCategory()
		);
	}

	/**
	 * @test
	 */
	public function setCategoryForStringSetsCategory() {
		$this->subject->setCategory('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'category',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getImageReturnsInitialValueForFileReference() {
		$this->assertEquals(
			NULL,
			$this->subject->getImage()
		);
	}

	/**
	 * @test
	 */
	public function setImageForFileReferenceSetsImage() {
		$fileReferenceFixture = new \TYPO3\CMS\Extbase\Domain\Model\FileReference();
		$this->subject->setImage($fileReferenceFixture);

		$this->assertAttributeEquals(
			$fileReferenceFixture,
			'image',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getExcludeResourcesReturnsInitialValueForInteger() {
		$this->assertSame(
			0,
			$this->subject->getExcludeResources()
		);
	}

	/**
	 * @test
	 */
	public function setExcludeResourcesForIntegerSetsExcludeResources() {
		$this->subject->setExcludeResources(12);

		$this->assertAttributeEquals(
			12,
			'excludeResources',
			$this->subject
		);
	}
}
