<?php
if (!defined('TYPO3_MODE')) {
	die('Access denied.');
}

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
	$_EXTKEY,
	'Sermons',
	'Predigten'
);

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile($_EXTKEY, 'Configuration/TypoScript', 'Sermons');

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addLLrefForTCAdescr('tx_lpcsermons_domain_model_sermon', 'EXT:lpc_sermons/Resources/Private/Language/locallang_csh_tx_lpcsermons_domain_model_sermon.xlf');
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_lpcsermons_domain_model_sermon');
$GLOBALS['TCA']['tx_lpcsermons_domain_model_sermon'] = array(
	'ctrl' => array(
		'title'	=> 'LLL:EXT:lpc_sermons/Resources/Private/Language/locallang_db.xlf:tx_lpcsermons_domain_model_sermon',
		'label' => 'title',
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'dividers2tabs' => TRUE,
		'default_sortby' => "ORDER BY date DESC",

		'versioningWS' => 2,
		'versioning_followPages' => TRUE,

		'languageField' => 'sys_language_uid',
		'transOrigPointerField' => 'l10n_parent',
		'transOrigDiffSourceField' => 'l10n_diffsource',
		'delete' => 'deleted',
		'enablecolumns' => array(
			'disabled' => 'hidden',
			'starttime' => 'starttime',
			'endtime' => 'endtime',
			'fe_group' => 'fe_group',
		),
		'searchFields' => 'title,preacher,image,date,description,language,reference,url,mp3file,podcastfile,videourl,resources,podcast,',
		'dynamicConfigFile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath($_EXTKEY) . 'Configuration/TCA/Sermon.php',
		'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath($_EXTKEY) . 'Resources/Public/Icons/tx_lpcsermons_domain_model_sermon.gif'
	),
);

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addLLrefForTCAdescr('tx_lpcsermons_domain_model_podcast', 'EXT:lpc_sermons/Resources/Private/Language/locallang_csh_tx_lpcsermons_domain_model_podcast.xlf');
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_lpcsermons_domain_model_podcast');
$GLOBALS['TCA']['tx_lpcsermons_domain_model_podcast'] = array(
	'ctrl' => array(
		'title'	=> 'LLL:EXT:lpc_sermons/Resources/Private/Language/locallang_db.xlf:tx_lpcsermons_domain_model_podcast',
		'label' => 'xml_file',
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'dividers2tabs' => TRUE,

		'versioningWS' => 2,
		'versioning_followPages' => TRUE,

		'languageField' => 'sys_language_uid',
		'transOrigPointerField' => 'l10n_parent',
		'transOrigDiffSourceField' => 'l10n_diffsource',
		'delete' => 'deleted',
		'enablecolumns' => array(
			'disabled' => 'hidden',

		),
		'searchFields' => 'xml_file,title,subtitle,description,language,copyright,editor_name,editor_email,author,explicit,category,image,exclude_resources,',
		'dynamicConfigFile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath($_EXTKEY) . 'Configuration/TCA/Podcast.php',
		'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath($_EXTKEY) . 'Resources/Public/Icons/tx_lpcsermons_domain_model_podcast.gif'
	),
);

$pluginSignature = 'lpcsermons_sermons';
$TCA['tt_content']['types']['list']['subtypes_addlist'][$pluginSignature] = 'pi_flexform';
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue($pluginSignature,'FILE:EXT:' . $_EXTKEY . '/Configuration/FlexForms/flexform_sermons.xml');

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTypoScript(
	$_EXTKEY,
	'setup',
	' source=FILE:EXT:'.$_EXTKEY.'/Configuration/TypoScript/setup.txt>');

/**
 * Hook
 * Write new XML file after adding or editing a sermon and after editing a podcast
 */
$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['processDatamapClass']['lpc_sermons'] = 'Lpc\LpcSermons\Hook\PodcastXmlHook';

/**
 * Hook
 * Write new XML file after delete a sermon or podcast
 */
$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['processCmdmapClass'][] = 'Lpc\LpcSermons\Hook\PodcastXmlHook';


if (TYPO3_MODE == 'BE') {
	// Add "donation" plugin to new element wizard
	$TBE_MODULES_EXT['xMOD_db_new_content_el']['addElClasses']['Lpc\LpcSermons\Utility\Hook\WizIcon'] = \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath($_EXTKEY) . 'Classes/Utility/Hook/WizIcon.php';

	\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerModule(
		'Lpc.' . $_EXTKEY,
		'tools',        // submodul of adminwerkzeuge
		'SermonsMigration',
		'',
		array(
			'Migration' => 'config,run'
		),
		array(
			'access' => 'admin',
			'icon' => 'EXT:' . $_EXTKEY . '/ext_icon.gif',
			'labels' => 'LLL:EXT:' . $_EXTKEY . '/Resources/Private/Language/locallang_mod.xlf'
		)
	);
}
